common:
  version: VERSION
  js:
    js/entity_browser.common.js: {}
  dependencies:
    - core/underscore
    - core/drupal.dialog.ajax

pager:
  version: VERSION
  css:
    theme:
      css/entity_browser.pager.css: {}

entity_browser:
  version: VERSION
  css:
    theme:
      css/entity_browser.entity_browser.css: {}

entity_list:
  version: VERSION
  css:
    component:
      css/entity_browser.entity_list.css: {}

iframe:
  version: VERSION
  css:
    theme:
      css/entity_browser.iframe.css: {}
  js:
    js/entity_browser.iframe.js: {}
  dependencies:
    - core/drupalSettings
    - core/jquery.once
    - entity_browser/common

iframe_selection:
  version: VERSION
  js:
    js/entity_browser.iframe_selection.js: {}
  dependencies:
    - core/drupalSettings
    - core/jquery

entity_reference:
  version: VERSION
  js:
    js/entity_browser.entity_reference.js: {}
  dependencies:
    - entity_browser/common
    - entity_browser/entity_list
    - core/sortable

file_browser:
  version: VERSION
  css:
    component:
      css/entity_browser.file_browser.css: {}

modal:
  version: VERSION
  css:
    component:
      css/entity_browser.modal.css: {}
  js:
    js/entity_browser.modal.js: {}
  dependencies:
    - core/drupalSettings
    - core/underscore

modal_selection:
  version: VERSION
  css:
    component:
      css/entity_browser.modal_selection.css: {}
  js:
    js/entity_browser.modal_selection.js: {}
  dependencies:
    - core/drupalSettings

tabs:
  version: VERSION
  css:
    component:
      css/entity_browser.tabs.css: {}
  js:
    js/entity_browser.tabs.js: {}
  dependencies:
    - core/drupalSettings
    - core/jquery.once

view:
  version: VERSION
  js:
    js/entity_browser.view.js: {}
  dependencies:
    - core/jquery.once

multi_step_display:
  version: VERSION
  js:
    js/entity_browser.command_queue.js: {}
    js/entity_browser.multi_step_display.js: {}
  dependencies:
    - entity_browser/entity_list
    - core/sortable
